org.apache.ignite.visor.plugin

## Class VisorPlugin

- java.lang.Object
- - ro.fortsoft.pf4j.Plugin
  - - org.apache.ignite.visor.plugin.VisorPlugin

-     public abstract class VisorPlugin
      extends ro.fortsoft.pf4j.Plugin

  Base class for Visor plugins.

- - ### Field Summary

    - ### Fields inherited from class ro.fortsoft.pf4j.Plugin

      `log, wrapper`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VisorPlugin(ro.fortsoft.pf4j.PluginWrapper wrapper)` Constructor to be used by plugin manager for plugin instantiation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `name()`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class ro.fortsoft.pf4j.Plugin

      `getWrapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisorPlugin

          protected VisorPlugin(ro.fortsoft.pf4j.PluginWrapper wrapper)

      Constructor to be used by plugin manager for plugin instantiation. Your plugins have to provide constructor with this exact signature to be successfully loaded by manager.
      Parameters:
        `wrapper` - A wrapper over plugin instance.

  - ### Method Detail

    - #### name

          public abstract String name()

      Returns:
        Plugin name.

    - #### start

          public void start()
                     throws ro.fortsoft.pf4j.PluginException

      Overrides:
        `start` in class `ro.fortsoft.pf4j.Plugin`
      Throws:
        `ro.fortsoft.pf4j.PluginException`

    - #### stop

          public void stop()
                    throws ro.fortsoft.pf4j.PluginException

      Overrides:
        `stop` in class `ro.fortsoft.pf4j.Plugin`
      Throws:
        `ro.fortsoft.pf4j.PluginException`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021